Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 5407 - ldconfig -D reports numerous errors
Summary: ldconfig -D reports numerous errors
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: ldconfig
Version: 6.0
Hardware: i386
OS: Linux
low
low
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-09-27 20:41 UTC by m.reid
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-05 03:26:41 UTC


Attachments (Terms of Use)

Description m.reid 1999-09-27 20:41:01 UTC
Running ldconfig -D on several systems (I have tried at
least three) that have RedHat 6.0 installed gives numerous
error messages, such as the following:

ldconfig: warning:
/usr/i486-linux-libc5/lib/libpanel.so.1.9.9e has
inconsistent soname (libpanel.so.3.0)
... a few screens ...
ldconfig: warning: /lib/libpthread-0.8.so has inconsistent
soname (libpthread.so.0)
ldconfig: warning: /lib/libresolv-2.1.1.so has inconsistent
soname (libresolv.so.2)
ldconfig: warning: /lib/librt-2.1.1.so has inconsistent
soname (librt.so.1)
ldconfig: warning: /lib/libutil-2.1.1.so has inconsistent
soname (libutil.so.1)

Since these systems all appear to work fine, and I have not
been able to find a system that does not have this
behaviour, I assume that there is no cause for alarm.

However, it is rather disconcerting to see this when one is
trying to resolve problems with dependencies...

Comment 1 Cristian Gafton 2000-02-05 03:26:59 UTC
This is normal behavior. ldconfig has a very strict (and not always right) idea
about how a soname should look like.


Note You need to log in before you can comment on or make changes to this bug.